<?php

namespace app\entity\file;


/**
 * 上传文件结果实体类
 */
readonly class UploadResult
{
    public string $url;
    public string $path;
    public int $time;

    public function __construct(array $data = [])
    {
        foreach ($data as $key => $value) {
            $this->$key = $value;
        }
    }
}